Subject: Re: bug#32252: [PATCH] %o and %x now format signed numbers

From: Paul Eggert <[email-masked]>
Date: Mon, 23 Jul 2018 19:04:48 -0700

Drew Adams wrote:
> Put that motivation in NEWS.  Users deserve to be told why
> things change incompatibly.

OK, here's a revised NEWS entry. It also mentions avoiding read/print 
misbehavior, a more-immediate prompt for this change that I forgot to mention 
previously.

** Numbers formatted via %o or %x are now formatted as signed integers.
Formerly they were formatted using machine-dependent two's complement
representations.  The new behavior is machine-independent, avoids
misbehavior in calls like (read (format "#x%x" -1)), and is more
compatible with bignums, a planned feature.  To get the old behavior,
set the new, experimental variable binary-as-unsigned to t and please
email [email-masked] if you need that.  Because %o and %x now
format signed integers, they now support the + and space flags.
(Bug#32252).